Skip to main content
GET
/
api
/
user
Get current user profile
curl --request GET \
  --url https://dev.exante.app/api/user \
  --header 'Authorization: Bearer <token>'
{
  "status": "success",
  "status_code": 200,
  "message": "Success",
  "data": {
    "user": {
      "id": "<string>",
      "uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "firstname": "<string>",
      "lastname": "<string>",
      "fullname": "<string>",
      "email": "<string>",
      "timezone": "<string>",
      "default_timezone": "<string>",
      "avatar": "<string>",
      "default_organization": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "active_company": {
        "uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "owner_id": "<string>",
        "max_documents": 123
      },
      "organizations": [
        {
          "uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "company_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        }
      ],
      "permissions_in_default_organization": [
        "<string>"
      ],
      "features": {},
      "first_seen": "2023-11-07T05:31:56Z",
      "last_seen": "2023-11-07T05:31:56Z",
      "settings": {}
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

User profile

status
string
Example:

"success"

status_code
integer
Example:

200

message
string
Example:

"Success"

data
object